为啥C#一直连不上数据库,密码这些都是对的还是连不上

从风~ 2020-12-23 07:37:56
...全文
2748 点赞 收藏 11
写回复
11 条回复
shawn_yang 2020年12月24日
估计是端口没开,防火墙问题
回复 点赞
dugupiaoyun 2020年12月24日
你有没有去确定下,你的服务MySQL是否已被360什么的给结束掉了没打开?!如果服务没开启,怎么都是连接失败。
回复 点赞
Denuin 2020年12月24日
MySQL8在C#里不友好,能别用就不要用。喜欢折腾的人除外。
回复 点赞
serf 2020年12月24日
引用 8 楼 一抹艳阳高照的晴天 的回复:
强喔,还能因为版本不对连不上
MYSQL从5点几的版本到8点几的版本有大的变化,很多客户端不能用了,.net库要升级,用java的也升级,ems mysql manager 2007以前连mysql 5用的很爽,一升级server,不能用了。
回复 点赞
从风~ 2020年12月24日
引用 8 楼 一抹艳阳高照的晴天的回复:
强喔,还能因为版本不对连不上
事实就是这样
回复 点赞
一抹艳阳高照的晴天 2020年12月24日
强喔,还能因为版本不对连不上
回复 点赞
我不懂电脑 2020年12月24日
恭喜你,解决了就好
回复 点赞
从风~ 2020年12月24日
找到了,是MySql. Data. dll版本低的问题,我的mysql是高版本的,已经解决了。
回复 点赞
从风~ 2020年12月23日
引用 1 楼 serf的回复:
mysql版本和库的版本兼容么,如果是高版本的MYSQL,尽量也用高版本的库。
我在sqlyog里能正常操作
回复 点赞
从风~ 2020年12月23日
引用 1 楼 serf的回复:
mysql版本和库的版本兼容么,如果是高版本的MYSQL,尽量也用高版本的库。
啥意思,我是MySQL8.0的
回复 点赞
serf 2020年12月23日
mysql版本和库的版本兼容么,如果是高版本的MYSQL,尽量也用高版本的库。
回复 点赞
发动态
发帖子
C#
创建于2007-09-28

8.4w+

社区成员

64.0w+

社区内容

.NET技术 C#
社区公告
暂无公告